package domain


type AlibabaRetailMarketingItempoolActivitySkuAddItemPoolActivityElementOperateRequest struct {
    /*
        商品元素列表     */
    SkuElements  *[]AlibabaRetailMarketingItempoolActivitySkuAddItemPoolSkuActivityElementDto `json:"sku_elements,omitempty" `

    /*
        同城零售活动id     */
    ActId  *int64 `json:"act_id,omitempty" `

    /*
        操作人id     */
    CreatorId  *string `json:"creator_id,omitempty" `

    /*
        操作人名称     */
    CreatorName  *string `json:"creator_name,omitempty" `

    /*
        商品所属分组序号，默认单个分组则填1     */
    GroupNumber  *int64 `json:"group_number,omitempty" `

    /*
        erp外部活动id     */
    OutActId  *string `json:"out_act_id,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolActivitySkuAddItemPoolActivityElementOperateRequest) SetSkuElements(v []AlibabaRetailMarketingItempoolActivitySkuAddItemPoolSkuActivityElementDto) *AlibabaRetailMarketingItempoolActivitySkuAddItemPoolActivityElementOperateRequest {
    s.SkuElements = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySkuAddItemPoolActivityElementOperateRequest) SetActId(v int64) *AlibabaRetailMarketingItempoolActivitySkuAddItemPoolActivityElementOperateRequest {
    s.ActId = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySkuAddItemPoolActivityElementOperateRequest) SetCreatorId(v string) *AlibabaRetailMarketingItempoolActivitySkuAddItemPoolActivityElementOperateRequest {
    s.CreatorId = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySkuAddItemPoolActivityElementOperateRequest) SetCreatorName(v string) *AlibabaRetailMarketingItempoolActivitySkuAddItemPoolActivityElementOperateRequest {
    s.CreatorName = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySkuAddItemPoolActivityElementOperateRequest) SetGroupNumber(v int64) *AlibabaRetailMarketingItempoolActivitySkuAddItemPoolActivityElementOperateRequest {
    s.GroupNumber = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySkuAddItemPoolActivityElementOperateRequest) SetOutActId(v string) *AlibabaRetailMarketingItempoolActivitySkuAddItemPoolActivityElementOperateRequest {
    s.OutActId = &v
    return s
}
